Bug 190381 - [Patch] Rename and Update of mail/rss2email Ports
Summary: [Patch] Rename and Update of mail/rss2email Ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-29 20:50 UTC by Steve
Modified: 2014-08-21 14:05 UTC (History)
3 users (show)

See Also:


Attachments
file.diff (9.44 KB, patch)
2014-05-29 20:50 UTC, Steve
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve 2014-05-29 20:50:02 UTC
This is a patch for a few things:
-Update the conflicts for mail/rss2email3
-Update mail/rss2email2 and take over maintenance
-Rename mail/rss2email to mail/rss2email2 to avoid ambiguity
-Add the entry to MOVED and fix some minor LINT issues

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-29 20:50:07 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-05-29 20:50:08 UTC
Maintainer of mail/rss2email,

Please note that PR ports/190381 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190381

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-05-29 20:50:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Carlo Strub freebsd_committer 2014-08-10 21:56:46 UTC
I'd call this a maintainer timeout.
Comment 5 John Marino freebsd_committer 2014-08-11 08:47:05 UTC
Carlos, feel free to move these to "patch-ready" status with a note that anybody can commit.  The implication that testing the patch for build issues will fall to the committer.
Comment 6 John Marino freebsd_committer 2014-08-11 15:44:38 UTC
I'm probably going to propose a workflow soon (flow chart) based on my recent experiences.

I've been using "patch-ready" to mean "the changes described in the PR (patches, text, what) have been evaluated to some extent, and should reasonably apply and pass all build tests".  Basically it's highest status a PR can achieve prior to be committed, so the person setting it is stating they think the PR is ready for committing.

This is why I've increasing been insisting on build logs.  I give maintainer updates more room, especially if it's a known maintainer with a good reputation and it's not a staging PR.
Comment 7 John Marino freebsd_committer 2014-08-11 15:45:34 UTC
heh, I got the email and I thought it came from bugzilla.  Okay, so there's your answer although the question is missing. :)
Comment 8 Steve 2014-08-16 15:55:03 UTC
I'm happy to take over maintaining the port (which is why I included it in my update). I attempted to contact the maintainer prior to submitting this PR, but I got no response.
Comment 9 John Marino freebsd_committer 2014-08-16 18:16:19 UTC
okay, we'll make sure you get listed as the new maintainer.
Comment 10 John Marino freebsd_committer 2014-08-19 10:55:28 UTC
In the future, do not make changes to files that don't pertain to your PR, e.g.

-sysutils/cpupowerd||2014-05-04|Has expired: Not maintained from upstream anymore and only supports ancient AMD K8.
+sysutils/cpupowerd||2014-05-04|Has expired: Not maintained from upstream anymore and only supports ancient AMD K8
 net/pchar||2014-05-04|Has expired: Obsolete, abandoned
 x11-fonts/texcm-ttf||2014-05-04|Has expired: Should be replaced by x11-fonts/stix-fonts
 devel/buildapp||2014-05-05|Has expired: Broken for more than 6 months
 converters/konwert||2014-05-05|Broken with modern compilers, not staged, no upstream
-graphics/gimp-gap||2014-05-05|Broken with gimp 2.8, no release in 5 years.
-games/gnome-games-extra-data||2014-05-05|Not used in GNOME 3.
+graphics/gimp-gap||2014-05-05|Broken with gimp 2.8, no release in 5 years
+games/gnome-games-extra-data||2014-05-05|Not used in GNOME 3


don't do this.  I doubt it even applies anymore.
Comment 11 John Marino freebsd_committer 2014-08-19 11:08:34 UTC
I think I'm going to do this in two steps (the diff isn't helpful here but I'll manage).

step 1) update  mail/rss2email including maintainer change
step 2) svn mv + portname change + MOVED change.  That will probably preserve history better.
Comment 12 John Marino freebsd_committer 2014-08-19 11:12:52 UTC
It looks like you overlooked that name change:
PORTNAME=	rss2email

^^^ that was on rss2email2 as you proposed it.
Comment 13 commit-hook freebsd_committer 2014-08-19 11:53:23 UTC
A commit references this bug:

Author: marino
Date: Tue Aug 19 11:52:30 UTC 2014
New revision: 365371
URL: http://svnweb.freebsd.org/changeset/ports/365371

Log:
  www/rss2email: Upgrade version 2.70 => 2.71 and assign maintainer

  This is the first part of a two-part PR, and it involves upgrading
  rss2email.  The second part will relocate the port.

  During the first part, the following changed:
   * python prefix added to package name
   * USE_PYTHON converted to USES=python
   * Upgraded to version 2.71
   * Assign maintainership to submitter
   * Update the comment
   * Note GPLv2 and GPLv3 dual licensing
   * Improve RUN_DEPENDS specification
   * Note conflict with py-rss2email3

  PR:		190381
  Submitted by:	Stephen R. Guglielmo
  Tweaked by:	marino

Changes:
  head/mail/rss2email/Makefile
  head/mail/rss2email/distinfo
  head/mail/rss2email/pkg-descr
Comment 14 John Marino freebsd_committer 2014-08-19 11:54:56 UTC
Note that your update had a couple of bugs in it.

1) You removed NO_BUILD, which caused it to fail looking for a makefile
2) You added some DOCS stuff but never installed it.  I just removed the docs stuff from the plist for now.  That causes a stage-qa failure. 

In it's form now, poudriere is happy.
Comment 15 John Marino freebsd_committer 2014-08-19 12:18:14 UTC
hmm, rssemail3 pkgname is also rss2email so I probably shouldn't change it.
Comment 16 commit-hook freebsd_committer 2014-08-19 12:27:25 UTC
A commit references this bug:

Author: marino
Date: Tue Aug 19 12:26:50 UTC 2014
New revision: 365373
URL: http://svnweb.freebsd.org/changeset/ports/365373

Log:
  Move mail/rss2email => mail/rss2email2

  This is done to avoid confusion with mail/rss2email3.  Also update the
  conflicts line of rss2email3 that broke with the recent update of
  mail/rss2email.  This is the second part of the PR.

  PR:		190381
  Submitted by:	Stephen Guglielmo

Changes:
  head/MOVED
  head/mail/Makefile
  head/mail/rss2email/
  head/mail/rss2email2/
  head/mail/rss2email2/Makefile
  head/mail/rss2email3/Makefile
Comment 17 John Marino freebsd_committer 2014-08-19 12:29:08 UTC
Done, thanks!
Comment 18 Steve 2014-08-21 14:05:43 UTC
Re: Changing other files.

I did this because I noticed some LINT issues with the MOVED file as I was adding my own entry for this PR. I'm not super familiar with FreeBSD's policies/practices, but I understand more now. Sorry for including those changes in the PR!

Thanks for closing this, and I'll review your changes in the commits to see what you did and what I did wrong.